package com.template.services;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.evaluate.student.SmartSubjectRule;
import com.template.model.result.PageUtils;
import com.template.model.vo.TemplateRuleVo;

import java.util.List;

/**
 * <p>
 * 平分项管理 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-01-08
 */
public interface SmartSubjectRuleService extends IService<SmartSubjectRule> {

    int insertSmartSubjectRule(SmartSubjectRule sa);

    int updateSmartSubjectRule(SmartSubjectRule sa);

    PageUtils<SmartSubjectRule> queryPageSmartSubjectRule(int currentPage, int pageCount, QueryWrapper<SmartSubjectRule> queryWrapper);

    int deleteSmartSubjectRuleById(int id);

    SmartSubjectRule getSmartSubjectRuleById(int id);

    List<SmartSubjectRule> getSmartSubjectRuleList();

    List<SmartSubjectRule> getSmartSubjectRuleByKey(QueryWrapper<SmartSubjectRule> queryWrapper);



}
